<?= $this->extend('layouts/default') ?>

<?= $this->section('content') ?>

<div class="container">
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb bg-light p-2">
            <li class="breadcrumb-item"><a href="<?= base_url() ?>"><i class="fas fa-home"></i></a></li>
            <li class="breadcrumb-item active"><?= esc($category['title']) ?></li>
        </ol>
    </nav>
</div>


<div class="container py-3">
    <div class="row">

        <div class="col-md-12 category-content">
            <h3 class="section-title"><?= esc($category['title']) ?></h3>

            <?php if ($category['content']): ?>
                <div class="category-desc">
                    <?= $category['content'] ?>
                </div>
                <hr>
            <?php endif; ?>

            <?php if (!empty($products)): ?>
                <div class="row">
                    <div class="col-sm-6">
                        <div class="input-group mb-3">
                            <label class="input-group-text" for="input-sort">Сортировка:</label>
                            <select class="form-select" id="input-sort">
                                <option selected disabled>По умолчанию</option>
                                <option value="sort=title_asc" <?php if (isset($_GET['sort']) && $_GET['sort'] == 'title_asc') echo 'selected' ?>>Название (А - Я)</option>
                                <option value="sort=title_desc" <?php if (isset($_GET['sort']) && $_GET['sort'] == 'title_desc') echo 'selected' ?>>Название (Я - А)</option>
                                <option value="sort=price_asc" <?php if (isset($_GET['sort']) && $_GET['sort'] == 'price_asc') echo 'selected' ?>>Цена (низкая &gt; высокая)</option>
                                <option value="sort=price_desc" <?php if (isset($_GET['sort']) && $_GET['sort'] == 'price_desc') echo 'selected' ?>>Цена (высокая &gt; низкая)</option>
                            </select>
                        </div>
                    </div>
                </div>
            <?php endif; ?>

            <div class="row">
                <?php if (!empty($products)): ?>
                    <?= view_cell('\App\Libraries\Product::productsLoop', ['products' => $products]); ?>
                <?php else: ?>
                    <p>В данной категории товаров пока нет...</p>
                <?php endif; ?>
            </div>

            <?php if (!empty($products)): ?>
                <div class="row">
                    <div class="col-md-12">
                        <nav aria-label="Page navigation example">
                            <?= $pager->links('default', 'admin_pager'); ?>
                        </nav>
                    </div>

                </div>
            <?php endif; ?>

        </div>

    </div>
</div>

<?= $this->endSection() ?>
