<?= $this->extend('layouts/default') ?>

<?= $this->section('content') ?>

<div class="container">
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb bg-light p-2">
            <li class="breadcrumb-item"><a href="<?= base_url() ?>"><i class="fas fa-home"></i></a></li>
            <li class="breadcrumb-item"><a
                        href="<?= route_to('category.show', $product['category_slug']) ?>"><?= $product['category_title'] ?></a>
            </li>
            <li class="breadcrumb-item active" aria-current="page"><?= $product['title'] ?></li>
        </ol>
    </nav>
</div>


<div class="container py-3">
    <div class="row">

        <div class="col-md-4 order-md-2">

            <h1><?= $product['title'] ?></h1>

            <ul class="list-unstyled">
                <li>Категория:
                    <a href="<?= route_to('category.show', $product['category_slug']) ?>"><?= $product['category_title'] ?></a>
                </li>
                <li><i class="fas fa-hand-holding-usd"></i> <span class="product-price">
                        <?php if ($product['old_price']): ?>
                            <small>$<?= $product['old_price'] ?></small>
                        <?php endif; ?>
                        $<?= $product['price'] ?>
                </li>
            </ul>

            <div id="product">
                <div class="input-group mb-3">
                    <input id="input-quantity" type="text" class="form-control" name="quantity" value="1">
                    <button class="btn btn-danger add-to-cart" type="button" id="button-addon2"
                            data-id="<?= $product['id'] ?>">Купить
                    </button>
                </div>
            </div>

        </div>

        <div class="col-md-8 order-md-1">

            <?php
            if (!empty($product['gallery'])) {
                $gallery = explode(',', $product['gallery']);
            }
            ?>
            <ul class="thumbnails list-unstyled clearfix">
                <li class="thumb-main text-center"><a class="thumbnail" href="<?= $product['img'] ?>"
                                                      data-effect="mfp-zoom-in"><img src="<?= $product['img'] ?>"
                                                                                     alt=""></a></li>

                <?php if (!empty($gallery)): ?>
                    <?php foreach ($gallery as $item): ?>
                        <li class="thumb-additional"><a class="thumbnail" href="<?= $item ?>" data-effect="mfp-zoom-in"><img
                                        src="<?= $item ?>" alt=""></a></li>
                    <?php endforeach; ?>
                <?php endif; ?>

            </ul>

            <?= $product['content'] ?>


        </div>

    </div>
</div>

<?= $this->endSection() ?>
